- updated to 2.28.0 auto/th/wpe-webkit-2.28.0-1
authorJakub Bogusz <qboosh@pld-linux.org>
Mon, 13 Apr 2020 10:44:48 +0000 (12:44 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Mon, 13 Apr 2020 10:44:48 +0000 (12:44 +0200)
- updated x32 patch

wpe-webkit-x32.patch
wpe-webkit.spec

index 715a4ff283cd90e50adc01090a774ae73bcb444f..8ea98d74f5ee8560c1a307e865bde021aae4b8d1 100644 (file)
@@ -7,9 +7,9 @@ Description: Use WTF_CPU_UNKNOWN when building for X32
 Forwarded: no
 Index: webkitgtk/Source/WTF/wtf/Platform.h
 ===================================================================
---- webkitgtk.orig/Source/WTF/wtf/Platform.h
-+++ webkitgtk/Source/WTF/wtf/Platform.h
-@@ -142,10 +142,12 @@
+--- webkitgtk-2.28.0/Source/WTF/wtf/PlatformCPU.h.orig 2020-02-04 11:24:07.000000000 +0100
++++ webkitgtk-2.28.0/Source/WTF/wtf/PlatformCPU.h      2020-04-12 22:28:20.564373047 +0200
+@@ -107,10 +107,12 @@
  /* CPU(X86_64) - AMD64 / Intel64 / x86_64 64-bit */
  #if   defined(__x86_64__) \
      || defined(_M_X64)
index f5d797dda0931a18dba973c98e38dc759d4faca3..7a9660bf3838d723b47e3564baf19adcb0b215cf 100644 (file)
 Summary:       Port of WebKit embeddable web component to WPE
 Summary(pl.UTF-8):     Port osadzalnego komponentu WWW WebKit do WPE
 Name:          wpe-webkit
-# NOTE: 2.26.x is stable, 2.27.x devel (see DEVEL-2.27 branch)
-Version:       2.26.4
+# NOTE: 2.28.x is stable, 2.29.x devel
+Version:       2.28.0
 Release:       1
 License:       BSD-like
 Group:         X11/Libraries
 Source0:       https://wpewebkit.org/releases/wpewebkit-%{version}.tar.xz
-# Source0-md5: 4cd2883ec9da38a0ffe413bb75239874
+# Source0-md5: 4298b9d38b4f05f92995422ea9979893
 Patch0:                %{name}-x32.patch
 URL:           https://wpewebkit.org/
 BuildRequires: /usr/bin/ld.gold
@@ -56,7 +56,7 @@ BuildRequires:        libsoup-devel >= 2.54.0
 BuildRequires: libstdc++-devel >= 6:7.3.0
 BuildRequires: libtasn1-devel
 BuildRequires: libwebp-devel
-BuildRequires: libwpe-devel >= 1.3.0
+BuildRequires: libwpe-devel >= 1.5.0
 BuildRequires: libxml2-devel >= 1:2.8.0
 BuildRequires: libxslt-devel >= 1.1.7
 BuildRequires: openjpeg2-devel >= 2.2.0
@@ -75,7 +75,7 @@ BuildRequires:        sqlite3-devel >= 3
 BuildRequires: tar >= 1:1.22
 BuildRequires: wayland-devel
 BuildRequires: wayland-egl-devel
-BuildRequires: wpebackend-fdo-devel >= 1.3.0
+BuildRequires: wpebackend-fdo-devel >= 1.5.0
 BuildRequires: woff2-devel >= 1.0.2
 BuildRequires: xdg-dbus-proxy
 BuildRequires: xorg-lib-libICE-devel
@@ -102,6 +102,7 @@ Requires:   libxml2 >= 1:2.8.0
 Requires:      libxslt >= 1.1.7
 Requires:      openjpeg2 >= 2.2.0
 Requires:      woff2 >= 1.0.2
+Requires:      wpebackend-fdo >= 1.5.0
 # Source/JavaScriptCore/CMakeLists.txt /WTF_CPU_
 ExclusiveArch: %{ix86} %{x8664} x32 %{arm} aarch64 hppa mips ppc ppc64 ppc64le s390 s390x sh4
 BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
@@ -126,7 +127,7 @@ Requires:   %{name} = %{version}-%{release}
 Requires:      glib2-devel >= 1:2.44
 Requires:      libsoup-devel >= 2.54.0
 Requires:      libstdc++-devel >= 6:7.3.0
-Requires:      libwpe-devel >= 1.3.0
+Requires:      libwpe-devel >= 1.5.0
 
 %description devel
 Development files for WebKit for WPE.
This page took 0.042731 seconds and 4 git commands to generate.